List Channel EpisodesAsk AIget https://api.wistia.com/modern/channel_episodesLists Channel Episodes belonging to an account. This endpoint can also be used to do a batch fetch based off of the hashed id. Requires api token with one of the following permissions Read all folder and media dataQuery Paramschannel_idstringThe hashed ID of the channel to grab channel episodes from.sort_bystringenumOrdering. Default is ID ASC. When using cursor pagination (see cursor param), only id and created are supported. All other sort_by options (position, title, updated) require offset pagination.positiontitlecreatedupdatedidAllowed:positiontitlecreatedupdatedidsort_directionintegerenumOrdering Sort Direction (0 = desc, 1 = asc; default is 1)01Allowed:01pageintegerThe page number to retrieve. This cannot be combined with cursor, pagination.per_pageintegerThe number of medias per page. Use this for both offset pagination and cursor pagination.cursorobjectIf cursor[enabled] is set to 1 than cursor pagination is enabled and the first set of records are fetched up to the per_page. Cursor pagination will also be turned on if cursor[before] or cursor[after] are set. Records returned will have a cursor property set which can be used to fetch more records in the same sort_by ordering. The cursor value of the last record can be used to fetch records after the current result set and the cursor of the first record can be used to fetch records before the result set. NOTE: a cursor value is only valid if the sort_by value hasn't changed from the last fetch. For example, you cannot fetch using sort_by id and than pass that cursor value to a sort_by name.cursor objectmedia_id[]array of stringsFilter by media idmedia_id[]ADD stringhashed_ids[]array of stringsFilter by hashed idhashed_ids[]ADD stringpublishedbooleanFilter by published status.truefalsetitlestringFilter by channel episode name/title.HeadersX-Wistia-API-VersionstringrequiredDefaults to 2026-03Responses 200Channel Episodes retrieval successful 400Bad request 401Unauthorized, invalid or missing token 500Internal server errorUpdated about 1 month ago